* gen_compliance2.do

cd C:\docs\ishr
use compliance1.dta, clear

generate risktime=(enddate-randate)/365.25
generate ranage=(randate-birthdate)/365.25
generate endage=(enddate-birthdate)/365.25
generate ranagr=2*int(ranage/2)

label variable risktime "Time at risk"
label variable ranage "Age at randomization"
label variable endage "Age at observation end"
label variable ranagr "Age group at randomization"
label define ranagr 64 "64-65" 66 "66-67" 68 "68-69" 70 "70-71" 72 "72-73"
label values ranagr ranagr

stset risktime , failure(died==1) id(id)

label data "Compliance data -stset- from randomization"
save compliance2.dta, replace
